#ifndef PARSER_HEADER_INCLUDED
#define PARSER_HEADER_INCLUDED

/* ------ High level input ------ */
/* Parser functions for high level control of user generated input */

#include "ghead.h"
#include "progbar.h"

/* Read an input file */
SFLAG ReadFile (gchar* name, PROGRESSSTRUCT* progress);
SFLAG FeedFile (gchar* name, PROGRESSSTRUCT* progress);
SFLAG ReadResults (gchar* name, PROGRESSSTRUCT* progress);

/* Set a command line */
void SetCommandLine (gchar* text);
SFLAG GetCmdNumber (SINTEGER* dest);
SFLAG GetCmdReal (SREAL* dest);

#endif
